Bug 50195 - Severely Slow Performance on Quad Xeon w/ 8 gig ram on all 2.4.x kernels.
Severely Slow Performance on Quad Xeon w/ 8 gig ram on all 2.4.x kernels.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-27 18:00 EDT by Danny Pickford
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 12:13:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Pickford 2001-07-27 18:00:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5 i686; en-US; rv:0.9)
Gecko/20010507

Description of problem:
In performance testing, the 2.4.x kernels have significant performance
difficulties in processor intensive tasks.  The 2.2.19 enterprise kernel
operates perfectly well (despite limitations in seeing the available RAM).
 The performance slowdown is horrendous, compiling a 2.2.x kernel drops
from 3 minutes (on 2.2.19-e), to over 2 hours using the 2.4 kernel.  Boot
up is slowed, all I/O on affected box is essentially crippled.  Clean
updated install from 7.1 reproduces problem. Clean updated 6.2 install w/
2.4.x kernels reproduces problem.  Clean updated 7.0 install w/ 2.4.x
reproduces problem.  Tried all kernels 2.4.x.

How reproducible:
Always

Steps to Reproduce:
1.Install Redhat Linux on SuperMicro S@QE6
2.Run a 2.4.x Kernel.
3.Attempt to Operate Box.
	

Actual Results:  Performance is significantly affected w/ 2.4 kernels.

Expected Results:  The 2.4.x kernels, with all the enterprise updates,
should have happily seen the 8 gigs of Ram, robustly crunched data with the
pair of install p3-xeon w/ 2mb cache and generally have been a kick ass
Oracle Box, without a trace of the 1.4 gig shhmax issue that I am having
with the 2.2.19 kernel (grin).

Additional info:

Please go to www.speakeasy.net/~danny/2.4.x.bug.hardware.output.txt and
look at the dmesg for exact information on the hardware in the box.  It is
a SuperMicro S2QE6, w/ 2 Xeon 700/2MB (2 empty slots filled w/ appropriate
terminator.) 8 gigs of Ram in 4 interleaved memory bands, booting off an
adaptec 7899 U160 on an IBM DYS-T18350M,w/ another DYS-T18350M for logs,
and the Oracle partitions are on an ICP Vortex GDT8543RZ 64 bit/66mhz raid
controller, with 8 IBM DYS-T18350M, running 0+1 drive array.  Really looks
like a severe driver bug, no idea what in particular.
Comment 1 Florian La Roche 2001-08-13 18:03:21 EDT
Can you please try a current kernel from
ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/kernel-*?

The gdth driver is updated to version 2.0 and I'd be interested
to know if this fixes your problems.

Thanks a lot,

Florian La Roche
Comment 2 Alan Cox 2003-06-06 12:13:06 EDT
Closed: no reply in over a year

Note You need to log in before you can comment on or make changes to this bug.